# BEGIN SourceDeps(oneline):
BuildRequires: gcc-c++
# END SourceDeps(oneline)
%define repoid 28257
       
Summary: A library for PARallel programs with Dataflow Synchronization
Name: pards
Version: 0.4
Release: alt1_13
URL: http://pards.sourceforge.jp/
Source0: http://downloads.sourceforge.jp/%{name}/%{repoid}/%{name}04.tar.gz
Patch0: %{name}-%{version}.patch
License: BSD
Group: System/Libraries
Source44: import.info

%package devel
Summary: A library for PARallel programs with Dataflow Synchronization
Group: Development/C
Requires: %{name} = %{version}-%{release}
#Provides: %{name}-static = %{version}-%{release}

%description
This is a library for writing parallel programs (for UNIX OSes).
With this library, you can write parallel programs more easily than 
using other libraries like pthread directly. As a practical example, 
bzip2 is parallelized using this library.

%description devel
This package contains static libraries documents and header files needed 
to develop programs which make use of pards library.

%prep
%setup -q -n %{name} 
%patch0 -p1
iconv -f eucjp -t utf8 README.ja >README.ja.utf
mv README.ja.utf README.ja

%build
pushd src
make CFLAGS="$RPM_OPT_FLAGS" %{?_smp_mflags}
popd

%install
pushd src
make DESTDIR=%{buildroot} _LIB=%{_lib} install
popd
rm %{buildroot}/%{_libdir}/*.a

%files
%{_libdir}/lib%{name}.so.*
%doc ChangeLog README README.ja LICENSE

%files devel
%dir %{_includedir}/pards
%{_includedir}/pards/*
%{_libdir}/lib%{name}.so
#%{_libdir}/lib%{name}.a
%doc doc/ misc/ samples/ gtk/
#%doc bzip2-1.0.3/

%changelog
* Fri Apr 26 2013 Igor Vlasenko <viy@altlinux.ru> 0.4-alt1_13
- initial fc import

